@import "CssWorkgroup";

.loading {
    position: relative;
    width: 100%;
    height: 100%;
    @include _display-flex(flex, center, center, column);

    &.-fix {
        position: fixed;
        top: 0;
        left: 0;
        z-index: map_get($z-index, 'loading-wheel');
    }

    border-radius: 0 0 20px 20px;
    background: $color-background;

    @include _curtainToggleAnimation(70vh, 330ms) {
        border-radius: 0;
        .lds-heart {
            transform: rotate(45deg) scale(1);
        }
    }

    p:not(:empty) {
        margin-top: 10px;
        @include _font-paragraph('regular', color-gray(4));
        text-transform: uppercase;
        letter-spacing: 1px;
    }

    .cred {
        position: absolute;
        bottom: $grid-gap*2;
        opacity: .35;
    }
}


.lds-heart {
    display: inline-block;
    position: relative;
    width: 80px;
    height: 80px;
    @include _transition(all);
    transform: scale(0);
    transform-origin: 40px 40px;

    &:before {
        position: absolute;
        top: calc(50% - 5px);
        left: calc(50% - 5px);
        // content: '';
        width: 10px;
        height: 10px;
        border-radius: 50%;

        @include _anim-pulse($color-primary, 40px);
        background: transparent;
        animation: pulse 2.4s infinite;
    }
}

.lds-heart div {
    top: 32px;
    left: 32px;
    position: absolute;
    width: 32px;
    height: 32px;
    background: $color-primary;
    animation: lds-heart 1.2s infinite cubic-bezier(0.215, 0.61, 0.355, 1);
}

.lds-heart div:after,
.lds-heart div:before {
    content: " ";
    position: absolute;
    display: block;
    width: 32px;
    height: 32px;
    background: $color-primary;
}

.lds-heart div:before {
    left: -24px;
    border-radius: 50% 0 0 50%;
}

.lds-heart div:after {
    top: -24px;
    border-radius: 50% 50% 0 0;
}

@keyframes lds-heart {
    0% {
        transform: scale(0.95);
    }
    5% {
        transform: scale(1.1);
    }
    39% {
        transform: scale(0.85);
    }
    45% {
        transform: scale(1);
    }
    60% {
        transform: scale(0.95);
    }
    100% {
        transform: scale(0.9);
    }
}
